/*
// $Id: //guest/julian_hyde/saffron/src/examples/sales/Dept.java#1 $
// Saffron preprocessor and data engine
// Copyright (C) 2002 Julian Hyde <julian.hyde@mail.com>
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Library General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Library General Public License for more details.
//
// You should have received a copy of the GNU Library General Public
// License along with this library; if not, write to the
// Free Software Foundation, Inc., 59 Temple Place - Suite 330,
// Boston, MA  02111-1307, USA.
//
// See the COPYING file located in the top-level-directory of
// the archive of this library for complete text of license.
//
// jhyde, Apr 18, 2002
*/

package sales;

/** A <code>Dept</code> represents a department. **/
public class Dept {
	public int deptno;
	public String name;
	public Dept(java.sql.ResultSet resultSet) throws java.sql.SQLException
	{
		this.deptno = resultSet.getInt(1);
		this.name = resultSet.getString(2);
	}
	public Dept(int deptno, String name)
	{
		this.deptno = deptno;
		this.name = name;
	}
}

// End Dept.java
